include ../../Makefile.site

default: loader

# There are duplicate libraries, for dependencies: RP and UD. To be fixed.
LIBS =  -lripsv -lripud -lriprx -lripth -lpthread -lrippw -lripta -lripco -lripca  -lriper -lripip -lrippr -lripqc -lriput -lripwk -lrippc -lrippm -lripaa -lripsq -lm -lripsk -lxnet -lripqi -lripwh -lripdf -lripma -lripac -lsocket -lglib  -lpthread -lnsl -lriprp -lriprx -lripnh -lripth -lriper -lripsk -lriput -lmysqlclient 

# LIBS = -lripco -lrippr -lripsq -lripud -lripdf -lripwk -lripnh -lriprp -lriprx -lripip -lripsk -lripth -lripma -lrippc -lripac -lriput -lriper -lripsv -lripud -lrippm -lrippw -lripqi -lriprp -lripqc -lripwh -lmysqlclient -lm -lsocket -lnsl -lpthread -lxnet -lglib

defs: $(DEFS)
	cd ../../defs; $(MAKE); cd ../bin/load

modules: $(MODULES)
	cd ../../modules; $(MAKE); cd ../bin/load

loader: $(SOURCES) $(HEADERS) modules
	$(CC) -c $(CVERS) $(CFLAGS) loader.c
	$(CC) $(LFLAGS) -o loader loader.o $(LIBS) $(OPTS)

clean:
	${RM} core *.o loader

